package sita;

import java.awt.Toolkit;
import javax.swing.KeyStroke;
import javax.swing.AbstractAction;
import java.awt.event.InputEvent;

public class AcceleratorMap
{
    public KeyStroke k;                 // What user typed
    public AbstractAction action;       // Action to perform

    public AcceleratorMap(int vk, AbstractAction action)
    {
        this.k = KeyStroke.getKeyStroke(vk, Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()/*InputEvent.CTRL_DOWN_MASK*/);     // all hot keys require the Control key to pressed.
        this.action = action;
    }
}
