package sita;

import java.util.Comparator;

public class CommentInfo implements Comparable<CommentInfo>, Comparator<CommentInfo>
{
    public String tag;
    public String description;

    public int sequenceNumber;          // used to keep track of original order when sorting by description length

    public CommentInfo(String tag)
    {
        this.tag = tag;
    }

    public int compareTo(CommentInfo o)
    {
        return  o.description.length() - description.length();
    }

    public int compare(CommentInfo o1, CommentInfo o2)
    {
        return o1.sequenceNumber - o2.sequenceNumber;
    }
}
