package sita;

import java.awt.Color;

public class DefaultInfo
{
    public String dirname;         // name of annotations directory for this manuscript
    public double divider;
    public Color pointColor;
    public int resolvedWidth;
    public char orientation;       // | or _
    public int fontsize;
    public String oldEncoding;    // indicates that offsets of annotation xml files are in this encoding
    public String newEncoding;    // but have to be changed to this encoding. This will happen next time that program is loaded.

    public DefaultInfo(String dirname, double divider, Color pointColor, int resolvedWidth, char orientation, int fontsize)
    {
        this.dirname = dirname;
        this.divider = divider;
        this.pointColor = pointColor;
        this.resolvedWidth = resolvedWidth;
        this.orientation = orientation;
        this.fontsize = fontsize;
    }

    public void setOldEncoding(String encoding)
    {
        oldEncoding = encoding;
    }

    public void setNewEncoding(String encoding)
    {
        newEncoding = encoding;
    }
}
