package sita;

import java.io.FileOutputStream;

public class Logger
{
    static public void writeLog(String msg)
    {
        try
        {
            FileOutputStream fos = new FileOutputStream("log.txt", true);
            fos.write(Utils.now().getBytes());
            fos.write('\n');
            fos.write(msg.getBytes());
            fos.write('\n');
            fos.write('\n');
            fos.close();
        }
        catch (Exception ex)    // Hopefully user has been warned about this earlier
        {
        }
    }

    static public String writeLog(Throwable ex)
    {
        StringBuilder sb = new StringBuilder();
        sb.append(String.format("%s\n", ex.getMessage()));
        StackTraceElement[] stack = ex.getStackTrace();
        for (StackTraceElement ste : stack)
        {
            if (ste.getClassName().startsWith("sita"))
               sb.append(String.format("%s%s\n", ste.isNativeMethod()?"*":" ", ste.toString()));
        }
        String msg = sb.toString();
        writeLog(msg);

        return ex.getMessage();
    }
}
