package org.sanskritlibrary;

public abstract class Parser
{
    int startup(RTF2 rtf, int n, String className) throws Exception
    {
        String s = rtf.getRTF();
        if (s.charAt(n) != '{')
            throw new Exception("FonttblParser expecting a '{'");
        int start = n;
        n = rtf.writeEOLs(start+1);
        rtf.write(s.substring(start, n));

        return n;
    }

    abstract boolean canHandle(RTF2 rtf, int n) throws Exception;
	abstract int parse(RTF2 rtf, int n, ParseState ps) throws Exception;
	abstract void handleToken(Token t, ParseState ps, StringBuffer accumulateBuffer) throws Exception;
	abstract void handleToken(Token t, ParseState ps) throws Exception;
}
