package org.sanskritlibrary;

import java.io.BufferedWriter;

public class StylesheetParser extends Parser
{
	BufferedWriter out;

    public boolean canHandle(RTF2 rtf, int start)
    {
        return true;
    }
    // Note: at the moment this is just a pass through parser
	public int parse(RTF2 rtf, int start, ParseState ps) throws Exception
	{
        out = rtf.getOutput();
        String s = rtf.getRTF();
        int n = startup(rtf, start, "PassThroughParser");       // output initial { plus eols
        int end = PassThroughParser.skipGroup(s, n);
        if (out != null)
			out.write(s.substring(n, end));
        return end;
	}


	// this is called whenever a \fN control word is encounter (outside of a fonttbl group)
	public void handleToken(Token t, ParseState ps, StringBuffer accumulateBuffer) throws Exception
	{
	}

	// this is called whenever a \fN control word is encounter (outside of a fonttbl group)
	public void handleToken(Token t, ParseState ps) throws Exception
	{
	}

}
