package org.sanskritlibrary;
import java.io.BufferedWriter;

public class Token
{
	public String controlWord;
	public String whiteSpaceRemoved;
	public String value;
	public String actual;
	public int start;
	public int end;
	public String nonStandard;

	public Token(String controlWord, String value, String actual, int start, int end, 
						String whiteSpaceRemoved, String nonStandard)
	{
		this.controlWord = controlWord;
		this.value = value;
		this.actual = actual;
		this.start = start;
		this.end = end;
		this.whiteSpaceRemoved = whiteSpaceRemoved;
		this.nonStandard = nonStandard;
	}


	public void dump(BufferedWriter out) throws Exception
	{
		if (out != null)
		{
            if (controlWord != null)
            {
                if (nonStandard != null)
                    out.write(nonStandard);
                 out.write("\\");
                 out.write(controlWord);
            }
            if (actual != null)
                out.write(actual);

            if (whiteSpaceRemoved != null)
                out.write(whiteSpaceRemoved);
        }
	}
}
