package sita;

public class TextBlock {
    public String filename;
    public int startRow;
    public int startCol;
    public int endRow;
    public int endCol;
    public TextBlock (String filename, int startRow, int startCol, int endRow, int endCol) {
        this.filename = filename;
        this.startRow = startRow;
        this.startCol = startCol;
        this.endRow = endRow;
        this.endCol = endCol;
    }

    public TextBlock (TextBlock tb) {
        this.filename = tb.filename;
        this.startRow = tb.startRow;
        this.startCol = tb.startCol;
        this.endRow = tb.endRow;
        this.endCol = tb.endCol;
    }

    @Override
    public String toString () {
        StringBuilder sb = new StringBuilder();
        sb.append(String.format("%s: (%d, %d) - (%d, %d)", filename, startRow, startCol, endRow, endCol));
        return sb.toString();
    }

    public boolean isEqualTo(TextBlock tb) {
        return tb.startRow == startRow && tb.startCol == startCol &&
               tb.endRow == endRow && tb.endCol == tb.endCol;
    }
}
