package org.sanskritlibrary.webservice;
import java.util.Hashtable;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;
import java.io.InputStream;
import java.io.BufferedReader;
import java.util.Enumeration;
import org.sanskritlibrary.IOAssistance;

public class RESTfulWSCaller
{
	static public String callText(String address, Hashtable<String, String>  args) throws Exception
	{
		Enumeration<String> en = args.keys();
		StringBuilder sb = new StringBuilder(address);
		if (args.size() > 0)
		{
			sb.append("?");
			String delim = "";
			while (en.hasMoreElements())
			{
				String param = en.nextElement();
				String value = args.get(param);
				sb.append(String.format("%s%s=%s", 
						  delim, param, URLEncoder.encode(value, "UTF-8")));
				delim = "&";
			}
		}

		URL url = new URL(sb.toString());
		URLConnection conn = url.openConnection();
		InputStream is = conn.getInputStream();

		BufferedReader br = IOAssistance.openReader(is, "UTF-8");

		sb.setLength(0);
		String result = null;
		while (true)
		{
			int n = br.read();
			if (n == -1)
			{
				result = sb.toString();
				break;
			}
			else
				sb.append((char) n);
		}
		is.close();

		return result;
	}
}
